## Index

### Type aliases

- ResponseWithUnprocessedKeys

### Functions

- batchGetItemsFetchAll
- combineBatchGetResponses
- hasUnprocessedKeys

## Type aliases

### ResponseWithUnprocessedKeys

ResponseWithUnprocessedKeys: BatchGetItemOutput & object

- Defined in dynamo/batchget/batch-get-utils.ts:32

## Functions

### batchGetItemsFetchAll

- batchGetItemsFetchAll(dynamoRx: DynamoRx, params: BatchGetItemInput, backoffTimer: IterableIterator<number>, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/batchget/batch-get-utils.ts:7

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### params: BatchGetItemInput

  - ##### backoffTimer: IterableIterator<number>

  - ##### throttleTimeSlot: number

  #### Returns Observable<BatchGetItemOutput>

### combineBatchGetResponses

- combineBatchGetResponses(response1: BatchGetItemOutput): (Anonymous function)

- - Defined in dynamo/batchget/batch-get-utils.ts:46

  combines a first with a second response. ConsumedCapacity is always from the latter.

  #### Parameters

  - ##### response1: BatchGetItemOutput

  #### Returns (Anonymous function)

### hasUnprocessedKeys

- hasUnprocessedKeys(response: BatchGetItemOutput): boolean

- - Defined in dynamo/batchget/batch-get-utils.ts:34

  #### Parameters

  - ##### response: BatchGetItemOutput

  #### Returns boolean

Generated using TypeDoc